## libjavascript-perl 1.16

=== debian/changelog ===
libjavascript-perl (1.16-3) unstable; urgency=low

  * Add patch for e4x test failure (Closes: #591132) 
  * Added myself to Uploaders
  * Upped standards version to 3.9.1
  * Refreshed patches
  * Refreshed copyright

 -- Nicholas Bamber <nicholas@periapt.co.uk>  Sun, 17 Oct 2010 16:19:12 +0100

libjavascript-perl (1.16-2) unstable; urgency=low

  * add a patch fixing tests for double numbers evaluation.
    Closes: #578548 -- FTBFS with Perl 5.12.0: long doubles
  * add myself to Uploaders

 -- Damyan Ivanov <dmn@debian.org>  Thu, 22 Apr 2010 22:43:56 +0300

libjavascript-perl (1.16-1) unstable; urgency=low

  * New upstream release
    + Refreshed remove-branch-handler patch.
    + Removed pod-generator.patch patch (fixed upstream).
    + Removed disable-pod-coverage.patch (fixed upstream).
  * Switch to dpkg-source 3.0 (quilt) format:
    + Removed useless README.source which only documented the quilt usage.
    + Removed --with-quilt argument for debhelper.
    + Removed BDI on quilt in d.control.
  * Added /me to Uploaders: Refreshed d.control and d.copyright accordingly.
  * Set JS_UTF8 from 0 to 1 to enable UTF8 support (Closes: #537056).

 -- Franck Joncourt <franck@debian.org>  Sun, 07 Mar 2010 22:44:42 +0100

libjavascript-perl (1.15-1) unstable; urgency=low

  * New upstream release
  * Standards-Version 3.8.4 (no changes)
  * Update copyright to new DEP5 format
  * Disable POD coverage tests using patch
  * Refresh patches

 -- Jonathan Yu <jawnsy@cpan.org>  Tue, 02 Feb 2010 14:23:30 -0500

libjavascript-perl (1.14-1) unstable; urgency=low

  [ Jonathan Yu ]
  * New upstream release
  * Add myself to Uploaders and Copyright
  * Rewrote control description

  [ gregor herrmann ]
  * Refresh patch remove-branch-handler.
  * New patch pod-generator.patch: POD skeleton in order to pass Pod::Coverage
    test.
  * New patch pod-spelling.patch: fix spelling mistakes in POD.

 -- gregor herrmann <gregoa@debian.org>  Wed, 30 Dec 2009 17:13:25 +0100

libjavascript-perl (1.12-4) unstable; urgency=low

  [ Tim Retout ]
  * debian/control:
    + Add self to Uploaders.
    + Add quilt (>= 0.46-7) and debhelper (>= 7.0.50~) to Build-Depends.
    + Remove version from perl Build-Depends.
    + Bump Standards-Version to 3.8.3.
  * debian/rules:
    + Rewrite to use dh, plus overrides where needed.
    + Use quilt patch system.
    + No longer install README or TODO.
  * debian/README.source: New file.
  * debian/patches/remove-branch-handler: Remove branch handling that has
    been broken by changes in xulrunner API. (Closes: #551251)

  [ gregor herrmann ]
  * debian/copyright: add year for copyright statement of third-party file.

 -- Tim Retout <tim@retout.co.uk>  Thu, 26 Nov 2009 00:21:17 +0000

libjavascript-perl (1.12-3) unstable; urgency=low

  [ Nathan Handler ]
  * debian/watch: Update to ignore development releases.

  [ gregor herrmann ]
  * debian/control: add missing comma in Build-Depends, thanks to Andrew
    Sayers for noticing (LP: #392210).
  * Set Standards-Version to 3.8.2 (no changes).
  * debian/rules: remove JavaScript_Env.h in clean target.

 -- gregor herrmann <gregoa@debian.org>  Thu, 25 Jun 2009 20:57:07 +0200

libjavascript-perl (1.12-2) unstable; urgency=low

  * debian/release: remove JavaScript_Env.h before generating Makefile

 -- Krzysztof Krzyżaniak (eloy) <eloy@debian.org>  Wed, 08 Apr 2009 11:11:25 +0200

libjavascript-perl (1.12-1) unstable; urgency=low

  * New upstream release
  * Set Standards-Version to 3.8.1 (no further changes).
  * debian/control: updated dependencies from debhelper to (>= 7)
  * debian/rules: dh-clean-k-is-deprecated fixed

 -- Krzysztof Krzyżaniak (eloy) <eloy@debian.org>  Wed, 08 Apr 2009 10:53:39 +0200

libjavascript-perl (1.11-1) UNRELEASED; urgency=low

  * New upstream release.
  * Remove patches, applied upstream. Remove quilt framework.
  * Set Standards-Version to 3.8.0 (no further changes).
  * Switch debian/copyright to new format.
  * debian/control: Changed: Switched Vcs-Browser field to ViewSVN
    (source stanza).
  * debian/control: Added: ${misc:Depends} to Depends: field.

 -- gregor herrmann <gregoa@debian.org>  Wed, 06 Aug 2008 21:33:46 -0300

libjavascript-perl (1.08-1) unstable; urgency=low

  * New upstream release.
  * Set JS_FORCE=1 in debian/rules, avoids building a test binary; drop
    patch makefile-compile.patch accordingly and remove touching Makefile in
    debian/rule's clean target.
  * Refresh mozjs.patch.
  * Update years of copyright in debian/copyright.

 -- gregor herrmann <gregoa@debian.org>  Thu, 08 May 2008 21:50:57 +0200

libjavascript-perl (1.06-2) unstable; urgency=low

  * debian/rules: touch Makefile before $(MAKE) realclean to avoid Makefile
    re-building (and breaking building twice in a row); thanks to Mike
    Hommey for the bug report (closes: #478060).
  * Add patch mozjs.patch provided by Mike Hommey to prepare the package for
    the newer version of libmozjs-dev (closes: #478064).
  * debian/control: change my email address.

 -- gregor herrmann <gregoa@debian.org>  Mon, 28 Apr 2008 17:23:15 +0200

libjavascript-perl (1.06-1) unstable; urgency=low

  * New upstream release.

 -- Roberto C. Sanchez <roberto@connexer.com>  Sat, 19 Apr 2008 12:09:58 -0400

libjavascript-perl (1.05-1) unstable; urgency=low

  [ gregor herrmann ]
  * New upstream release.
  * debian/watch: extended regexp for matching upstream releases.
  * debian/copyright: add upstream source location.
  * debian/rules:
    - remove obsolete source and diff targets, add install to .PHONY target
    - remove some unused dh_* calls and some whitespace
  * Add patch makefile-compile.patch: Makefile.PL compiles a test file but
    the call to system() fails if some variables are empty.

  [ Damyan Ivanov ]
  * add gregor to Uploaders

 -- gregor herrmann <gregor+debian@comodo.priv.at>  Wed, 02 Apr 2008 21:30:44 +0200

libjavascript-perl (1.04-3) unstable; urgency=low

  [ gregor herrmann ]

