=== debian/control ===
Source: libjavascript-perl
Section: perl
Priority: optional
Build-Depends: perl, debhelper (>= 7.0.50~), libtest-exception-perl,
 libmozjs-dev, libtest-pod-coverage-perl, libtest-pod-perl, libinline-perl
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Uploaders: Daniel Ruoso <daniel@ruoso.com>,
 Krzysztof Krzyżaniak (eloy) <eloy@debian.org>, Niko Tyni <ntyni@debian.org>,
 gregor herrmann <gregoa@debian.org>, Tim Retout <tim@retout.co.uk>,
 Jonathan Yu <jawnsy@cpan.org>, Franck Joncourt <franck@debian.org>,
 Damyan Ivanov <dmn@debian.org>, Nicholas Bamber <nicholas@periapt.co.uk>
Standards-Version: 3.9.1
Homepage: http://search.cpan.org/dist/JavaScript/
Vcs-Svn: svn://svn.debian.org/pkg-perl/trunk/libjavascript-perl/
Vcs-Browser: http://svn.debian.org/viewsvn/pkg-perl/trunk/libjavascript-perl/

Package: libjavascript-perl
Architecture: any
Depends: ${misc:Depends}, ${perl:Depends}, ${shlibs:Depends}
Description: module for executing embedded JavaScript
 JavaScript is a Perl module that provides the power of embedded JavaScript in
 your applications. You can write subroutines, classes, etc in Perl and bind
 them to the JavaScript engine or vice versa. Variables are converted between
 the languages automatically as needed.
