=== debian/watch ===
version=3
http://search.cpan.org/dist/JavaScript/ .*/JavaScript-v?(\d[\d.]+)\.(?:tar(?:\.gz|\.bz2)?|tgz|zip)
